Nini Library API Reference - http://nini.sourceforge.net/ |

# ConfigSourceBase.AddConfig Method

Adds a new IConfig.

public virtual IConfig AddConfig(
string name
);

#### Parameters

name
  The name of the new IConfig.

#### Return Value

The new IConfig.

#### Implements

IConfigSource.AddConfig

#### Remarks

This creates a new IConfig and adds it to the Configs collection.

#### Exceptions

Exception Type | Condition
--- | ---
Exception | If an IConfig of the same name already exists.

#### See Also

ConfigSourceBase Class | Nini.Config Namespace